%define name rpm-rambo-setup
%define version 1.1
%define release %mkrel 1


Summary: The Rambo rpm configuration and scripts
Name: %{name}
Version: %{version}
Release: %{release}
Source0: rpmrc
Source1: rpmpopt
Source2: rpmb_deprecated
Source3: rambo.macros
Source4: rambo-build.macros
Source5: fix-libtool-ltmain-from-overlinking
Source6: force-as-needed-for-shared-lib-in-libtool
Source7: drop-ld-no-undefined-for-shared-lib-modules-in-libtool
Source8: fix-dlsearch-path-in-libtool-for-multilib
Source9: fix-libtool-from-moving-options-after-libs
License: GPL
Group: System/Configuration/Packaging
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
The Rambo rpm configuration and scripts.

%package build
Group: System/Configuration/Packaging
Summary: The rambo rpm configuration and scripts to build rpms
Requires: %name = %version-%release

%description build
The Rambo rpm configuration and scripts dedicated to build rpms.

%install
rm -rf %buildroot
install -d %buildroot/usr/lib/rpm/rambo
install -m 644 %SOURCE0 %SOURCE1 %buildroot/usr/lib/rpm/rambo
install %SOURCE5 %SOURCE6 %SOURCE7 %SOURCE8 %SOURCE9 %buildroot/usr/lib/rpm/rambo
install %SOURCE2 %buildroot/usr/lib/rpm

install -D -m 644 %SOURCE3 %buildroot/etc/rpm/macros.d/10rambo.macros
install -D -m 644 %SOURCE4 %buildroot/etc/rpm/macros.d/10rambo-build.macros

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/10rambo.macros
%dir %_prefix/lib/rpm/rambo
%_prefix/lib/rpm/rambo/rpmrc
%exclude %_prefix/lib/rpm/rpmb_deprecated
%exclude %_prefix/lib/rpm/rambo/rpmpopt

%files build
%{_sysconfdir}/rpm/macros.d/10rambo-build.macros
%_prefix/lib/rpm/rambo/fix-libtool-ltmain-from-overlinking
%_prefix/lib/rpm/rambo/force-as-needed-for-shared-lib-in-libtool
%_prefix/lib/rpm/rambo/drop-ld-no-undefined-for-shared-lib-modules-in-libtool
%_prefix/lib/rpm/rambo/fix-dlsearch-path-in-libtool-for-multilib
%_prefix/lib/rpm/rambo/fix-libtool-from-moving-options-after-libs


%changelog
* Thu Mar 26 2015 bb <bb> 1.1-1pclos2015
- update build macros

* Mon Sep 26 2011 Texstar <texstar at gmail.com> 1.0-4pclos2011
- remove format-security error since it breaks building lots of things

* Fri Jun 03 2011 Texstar <texstar at gmail.com> 1.0-3pclos2011
- update for 2011 release

* Tue Nov 16 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- fix info files

* Mon Nov 15 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- create package

